#!/bin/bash

# 打包 Helm Chart
helm package chart/

# 获取最新生成的包名
chart_package=$(ls -t *.tgz | head -n 1)

# 推送 Helm Chart 到 OCI 仓库
helm push $chart_package oci://registry.timerzz.com:20443/helm-charts

# 删除生成的包
rm -f $chart_package